NX Open C++ Reference Guide
|
Represents an Area Fill feature
To create a new instance of this class, use Die::DieCollection::Fill
Created in NX4.0.0.
More...
Public Member Functions | |
double | AngleTolerance () |
Returns the angle tolerance of the area fill Created in NX4.0.0. | |
bool | CopyAndMirror () |
Returns the copy and mirror setting of the area fill Created in NX4.0.1. | |
double | DistanceTolerance () |
Returns the distance tolerance of the area fill Created in NX4.0.0. | |
bool | FillForAddendum () |
Returns the fill for addendum setting of the area fill Created in NX4.0.0. | |
std::vector< NXOpen::Body * > | GetFillShape () |
Gets the fill shape of the area fill. | |
std::vector< NXOpen::IProfile * > | GetRegionBounds (NXOpen::Die::DirectionOption *direction) |
Gets the region bounds of the area fill. | |
NXOpen::ISurface * | MirrorPlane () |
Returns the plane to mirror the area fill about Created in NX4.0.1. | |
NXOpen::Point * | PointInRegion () |
Returns the point in region of the area fill Created in NX4.0.0. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance of the area fill Created in NX4.0.0. | |
void | SetCopyAndMirror (bool copyAndMirror) |
Sets the copy and mirror setting of the area fill Created in NX4.0.1. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance of the area fill Created in NX4.0.0. | |
void | SetFillForAddendum (bool fillForAddendum) |
Sets the fill for addendum setting of the area fill Created in NX4.0.0. | |
void | SetFillShape (const std::vector< NXOpen::Body * > &bodies) |
Sets the fill shape of the area fill Created in NX4.0.0. | |
void | SetMirrorPlane (NXOpen::ISurface *mirrorPlane) |
Sets the plane to mirror the area fill about Created in NX4.0.1. | |
void | SetPointInRegion (NXOpen::Point *pointInRegion) |
Sets the point in region of the area fill Created in NX4.0.0. | |
void | SetRegionBounds (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the region bounds of the area fill Created in NX4.0.0. | |
void | SetTippedProduct (NXOpen::Features::Feature *tippedProduct) |
Sets the tipped product of the area fill Created in NX4.0.0. | |
NXOpen::Features::Feature * | TippedProduct () |
Returns the tipped product of the area fill Created in NX4.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents an Area Fill feature
To create a new instance of this class, use Die::DieCollection::Fill
Created in NX4.0.0.
double NXOpen::Die::FillBuilder::AngleTolerance | ( | ) |
Returns the angle tolerance of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::FillBuilder::CopyAndMirror | ( | ) |
Returns the copy and mirror setting of the area fill
Created in NX4.0.1.
License requirements : die_engineering ("DIE ENGINEERING")
double NXOpen::Die::FillBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bool NXOpen::Die::FillBuilder::FillForAddendum | ( | ) |
Returns the fill for addendum setting of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
std::vector<NXOpen::Body *> NXOpen::Die::FillBuilder::GetFillShape | ( | ) |
Gets the fill shape of the area fill.
std::vector<NXOpen::IProfile *> NXOpen::Die::FillBuilder::GetRegionBounds | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the region bounds of the area fill.
direction | Profile direction |
NXOpen::ISurface* NXOpen::Die::FillBuilder::MirrorPlane | ( | ) |
Returns the plane to mirror the area fill about
Created in NX4.0.1.
License requirements : die_engineering ("DIE ENGINEERING")
NXOpen::Point* NXOpen::Die::FillBuilder::PointInRegion | ( | ) |
Returns the point in region of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
void NXOpen::Die::FillBuilder::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
angleTolerance | angle tolerance |
void NXOpen::Die::FillBuilder::SetCopyAndMirror | ( | bool | copyAndMirror | ) |
Sets the copy and mirror setting of the area fill
Created in NX4.0.1.
License requirements : die_engineering ("DIE ENGINEERING")
copyAndMirror | = true - original sheet body will be copied in its current position and a copy will also be mirrored. the two sheet bodies will be sewn together on output = false - only mirrored copy will be produced |
void NXOpen::Die::FillBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
distanceTolerance | distance tolerance |
void NXOpen::Die::FillBuilder::SetFillForAddendum | ( | bool | fillForAddendum | ) |
Sets the fill for addendum setting of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
fillForAddendum | = true - area fill is for addendum and will be called DIE_ADDENDUM_FILL |
void NXOpen::Die::FillBuilder::SetFillShape | ( | const std::vector< NXOpen::Body * > & | bodies | ) |
Sets the fill shape of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
bodies | bodies |
void NXOpen::Die::FillBuilder::SetMirrorPlane | ( | NXOpen::ISurface * | mirrorPlane | ) |
Sets the plane to mirror the area fill about
Created in NX4.0.1.
License requirements : die_engineering ("DIE ENGINEERING")
mirrorPlane | mirror plane |
void NXOpen::Die::FillBuilder::SetPointInRegion | ( | NXOpen::Point * | pointInRegion | ) |
Sets the point in region of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
pointInRegion | point in region |
void NXOpen::Die::FillBuilder::SetRegionBounds | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the region bounds of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
direction | Profile direction |
profileEntries | profile entries |
void NXOpen::Die::FillBuilder::SetTippedProduct | ( | NXOpen::Features::Feature * | tippedProduct | ) |
Sets the tipped product of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")
tippedProduct | tipped product |
NXOpen::Features::Feature* NXOpen::Die::FillBuilder::TippedProduct | ( | ) |
Returns the tipped product of the area fill
Created in NX4.0.0.
License requirements : die_engineering ("DIE ENGINEERING")